Bug 1013942 - RFE: Warning should be shown WebUI when encounter invalid translation in warning validation level
RFE: Warning should be shown WebUI when encounter invalid translation in warn...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
:
Depends On: 1006063
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 01:49 EDT by Ding-Yi Chen
Modified: 2015-07-28 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1014423 (view as bug list)
Environment:
Last Closed: 2015-07-28 22:12:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-10-01 01:49:18 EDT
Description of problem:
As a project maintainer, I would like warning messages to be shown whenever invalid translations are uploaded to WebUI when the validation level is Warning.

Version-Release number of selected component (if applicable):
Zanata version 3.1-SNAPSHOT (20131001-1235)

How reproducible:
Always

Steps to reproduce:

- Data preparation:
  * Project Setting: As a project maintainer:
   a. Set the validation level to Error on "printf"
   b. Set the validation level to warning on "tab"
  * Document preparation:
   a. 1st translation is valid
   b. 2nd translation trigger the both error and warning (such as excess %d and excess tab)
   c. 3rd translation trigger the error (such as excess %d)
   d. 4th translation trigger the warning (such as excess tab \t)
   e. 5th translation and rest are empty.

I. Upload using GWT Document list
  1. Go to Projects->[ProjectName]->[VersionName]->[LocaleName]
     GWT Document list should be shown.
  2. Upload with upload button

 Expected:
   Warning messages should be shown for 2nd translation and 4th translation.

 Actual:
   Warning messages was NOT shown for 2nd translation and 4th translation.

II.Upload using JSF Document list 
  1. Go to Projects->[ProjectName]->[VersionName]->Documents Icon in [LocaleName]
    A JSF Document list should be shown.
  2. Upload with upload button.

 Expected:
   Warning messages should be shown for 2nd translation and 4th translation.

 Actual:
   Warning messages was NOT shown for 2nd translation and 4th translation.

Additional info:
Test Basis: https://github.com/zanata/zanata-server/wiki/Translation-Validation
Comment 2 Damian Jansen 2015-07-13 20:20:55 EDT
Reassigned to PM
Comment 3 Zanata Migrator 2015-07-28 22:12:25 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-155

Note You need to log in before you can comment on or make changes to this bug.